package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class AccountBaseDoc extends DynamoDBDocBase {
    private String accountBaseAttrib;

    public String getAttribFieldName() {
        return "AccountBaseAttrib";
    }

    @DynamoDbAttribute("AccountBaseAttrib")
    @JsonProperty("AccountBaseAttrib")
    public String getAttribValue() {
        return accountBaseAttrib;
    }

    public void setAttribValue(String value) {
        this.accountBaseAttrib = value;
    }
}

